Index: trunk/grails-app/views/assetDetailed/show.gsp
===================================================================
--- trunk/grails-app/views/assetDetailed/show.gsp	(revision 704)
+++ trunk/grails-app/views/assetDetailed/show.gsp	(revision 749)
@@ -110,5 +110,5 @@
                             
                             <tr class="prop">
-                                <td valign="top" class="groupHeader">Maintenance Actions</td>
+                                <td valign="top" class="groupHeader">Life Plan</td>
                                 
                                 <td  valign="top" style="text-align:left;" class="value">
@@ -117,13 +117,42 @@
                             </tr>
 
-                            
-                            <g:each var="m" in="${assetInstance.maintenanceActions}">
+                            <g:each var="t" in="${parentPMs}">
                                 <tr class="prop">
                                     <td valign="top" class="name"></td>
                                     
                                     <td  valign="top" style="text-align:left;" class="value">
-                                        <g:link controller="maintenanceActionDetailed" action="show" id="${m.id}">
-                                            ${m?.encodeAsHTML()}
+                                        <g:link controller="taskDetailed" action="show" id="${t.id}">
+                                            Task #${t.id}
                                         </g:link>
+                                        <g:if test="${t.approved}" >
+                                            <img  src="${resource(dir:'images/skin',file:'cog.png')}" alt="Approved" title="Approved" />
+                                        </g:if>
+                                        <g:if test="${t.taskRecurringSchedule?.enabled}" >
+                                            <img  src="${resource(dir:'images/skin',file:'arrow_refresh.png')}" alt="Recurrence Enabled" title="Recurrence Enabled" />
+                                        </g:if>
+                                        <g:if test="${t.taskStatus.id == 2}" >
+                                            <img  src="${resource(dir:'images/skin',file:'arrow_right.png')}" alt="In Progress" title="In Progress" />
+                                        </g:if>
+                                        <g:if test="${t.attentionFlag}" >
+                                            <img  src="${resource(dir:'images/skin',file:'flag_red.png')}" alt="Attention Flag" title="Attention Flag" />
+                                        </g:if>
+                                        <g:if test="${t.taskStatus.id == 3}" >
+                                            <img  src="${resource(dir:'images/skin',file:'tick.png')}" alt="Complete" title="Complete" />
+                                        </g:if>
+                                        <br />
+                                        ${fieldValue(bean:t, field:'description')}
+                                        <br />
+                                        <g:if test="${t.safetyRequirement}" >
+                                            <img  src="${resource(dir:'images/skin',file:'lightning.png')}" alt="Safety Requirement" title="Safety Requirement" />
+                                            Safety
+                                        </g:if>
+                                        <g:if test="${t.regulatoryRequirement}" >
+                                            <img  src="${resource(dir:'images/skin',file:'script_lightning.png')}" alt="Regulatory Requirement" title="Regulatory Requirement" />
+                                            Regulatory
+                                        </g:if>
+                                        <g:if test="${t.mandatoryRequirement}" >
+                                            <img  src="${resource(dir:'images/skin',file:'script.png')}" alt="Mandatory Requirement" title="Mandatory Requirement" />
+                                            Mandatory
+                                        </g:if>
                                     </td>
                                     
